<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwWiener: Wiener Crate Channel Upgrade Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=utf-8">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwWienerCrateChannelUpgrade.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to upgrade all  channels of a Wiener VME crate to the latest models.</p>
      <p>This upgrade is applied to change channels from the &quot;Wiener Channel&quot; model to the &quot;Wiener Crate Channel&quot; model. Previously all settings for the crate channels were part of the standard Wiener OPC output group (&quot;WienerOPCGroupOut&quot;) which meant that it was always possible to send new setting values to the hardware. With Wiener VME Crate channels this is not desired. By upgrading to the new model and applying the new addressing settings, the channel settings are moved to a new OPC group (&quot;WienerOPCGroupCrateSettingsOut&quot;) which is inactive by default. </p>
      <p>Once configured in the new way, to apply VME crate channel settings to the hardware, it is  necessary to temporarily activate the &quot;WienerOPCGroupCrateSettingsOut&quot; group. </p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>When the panel loads, it checks the models of all the VME crate channels. If all have the latest model, then the panel reports this and all actions are disabled. If some channels are of older models, then the panel reports this and enables the actions needed to upgrade the channels.</p>
        <p>To upgrade the models of the channels, it is necessary to press the &quot;Upgrade Channels&quot; button. If you wish to reapply the new default addressing, make sure that the &quot;Apply new addressing&quot; check box is checked (this is the default and is strongly recommended). If you do not wish to immediately change the addressing, then you can uncheck this box before pressing the &quot;Upgrade Channels&quot; button.</p>
        <p><strong>Note: </strong>If you choose not to apply the new addressing, the model of the channels will be changed but the OPC groupings will not be modified, so the deactivation of the settings will not be applied. To do this manually at a later time you can use the &quot;Simple Settings&quot; panel of the Device Editor &amp; Navigator to reapply the new default settings (including the new OPC groupings). </p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2"><p>None</p>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="677" height="313" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center"><img
 src="fwWienerCrateChannelUpgrade.JPG" alt="Panel screenshot" width="677" height="313" style="width: 677px; height: 313px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$sDpName</td>
      <td><p>The name of the data point to modify the settings for. This data
          point must be of type FwWienerCrate.<br>
        </p>
        </td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$bHierarchyBrowser</td>
      <td><p>Controls the  visibility of the Close button.</p>
      <p>TRUE - Close button is hidden<br>FALSE - Close button is visible</p></td>
      <td>Optional<br>
      </td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
